Skip to main content
POST
/
cms
/
audit-logs
/
2026-03
/
export
cURL
curl --request POST \
  --url https://api.hubapi.com/cms/audit-logs/2026-03/export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "format": "CSV",
  "portalId": 123,
  "recipientUserIds": [
    123
  ],
  "shouldMarkExportFileAsSensitive": true,
  "type": "<string>",
  "filters": {
    "objectType": [
      "<string>"
    ]
  },
  "partition": 123,
  "userId": 123,
  "userTimeZone": "<string>"
}
'
This response has no body data.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
email
string
required
format
enum<string>
required
Available options:
CSV,
XLS,
XLSX
portalId
integer<int32>
required
recipientUserIds
integer<int32>[]
required
shouldMarkExportFileAsSensitive
boolean
required
type
string
required
filters
object
partition
integer<int32>
userId
integer<int32>
userTimeZone
string

Response

Last modified on March 30, 2026